<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.diagbot.mapper.InquiryDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.diagbot.entity.InquiryDetail">
        <id column="id" property="id" />
        <result column="is_deleted" property="isDeleted" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="creator" property="creator" />
        <result column="modifier" property="modifier" />
        <result column="inquiry_id" property="inquiryId" />
        <result column="type" property="type" />
        <result column="content" property="content" />
        <result column="remark" property="remark" />
    </resultMap>
    
    <insert id="saveInquiryDetails" parameterType="list">
    	insert into icss_inquiry_detail(inquiry_id,type,content) values
    	<foreach collection="list" separator="," item="detail">
    		(#{detail.inquiryId},#{detail.type},#{detail.content})
    	</foreach>
    </insert>

</mapper>
